aboutsummaryrefslogtreecommitdiffstats
path: root/distrib
diff options
context:
space:
mode:
authorThe Android Open Source Project <initial-contribution@android.com>2009-01-22 00:13:41 -0800
committerThe Android Open Source Project <initial-contribution@android.com>2009-01-22 00:13:41 -0800
commit0852ad57fa372f9b2854e4df685eaba8d8ef6790 (patch)
treeb884d25be62dbb58fa9cc4e36e438d732d7659c7 /distrib
parent1874f27ee24391532969a0bf3c861991e8c54649 (diff)
downloadexternal_qemu-0852ad57fa372f9b2854e4df685eaba8d8ef6790.zip
external_qemu-0852ad57fa372f9b2854e4df685eaba8d8ef6790.tar.gz
external_qemu-0852ad57fa372f9b2854e4df685eaba8d8ef6790.tar.bz2
auto import from //branches/cupcake/...@127436
Diffstat (limited to 'distrib')
-rwxr-xr-xdistrib/update-audio.sh20
1 files changed, 15 insertions, 5 deletions
diff --git a/distrib/update-audio.sh b/distrib/update-audio.sh
index 8afd3c4..56bada2 100755
--- a/distrib/update-audio.sh
+++ b/distrib/update-audio.sh
@@ -31,13 +31,22 @@ case "$OS" in
OS=darwin-ppc
fi
;;
- *_NT-5.1)
+ Linux)
+ CPU=`uname -m`
+ case "$CPU" in
+ i?86|x86_64|amd64)
+ CPU=x86
+ ;;
+ esac
+ OS=linux-$CPU
+ ;;
+ *_NT-*)
OS=windows
EXE=.exe
;;
esac
-PREBUILT=$(locate_depot_files //device/prebuilt/$OS)
+PREBUILT=$(locate_depot_files //branches/cupcake/android/prebuilt/$OS)
# find the GNU Make program
is_gnu_make ()
@@ -72,12 +81,13 @@ fi
# ensure we have a recent audio library built
#
#echo "GNUMAKE is $GNUMAKE"
-source=arm-softmmu/libqemu-audio.a
-$GNUMAKE $source || (echo "could not build the audio library. Aborting" && exit 1)
+source=objs/libqemu-audio.a
+./android-configure.sh
+$GNUMAKE $source BUILD_QEMU_AUDIO_LIB=true || (echo "could not build the audio library. Aborting" && exit 1)
# now do a p4 edit, a copy and ask for submission
#
-TARGET=$PREBUILT/qemu/libqemu-audio.a
+TARGET=$PREBUILT/emulator/libqemu-audio.a
p4 edit $TARGET || (echo "could not p4 edit $TARGET" && exit 3)
cp -f $source $TARGET